---
sidebar_position: 0
---

# fpath

## Properties

### path

```ts expandable
path: import("path-browserify").Path;
```

### sep

```ts expandable
sep: string;
```

## Methods

### basename()

```ts expandable
basename(filePath: import("./FrontApplet/FileSystem/types").IFilePath, suffix?: string): string;
```

<Separator />

### concat()

```ts expandable
concat(filePath: import("./FrontApplet/FileSystem/types").IFilePath, ...paths: string[]): import("./FrontApplet/FileSystem/types").IFilePath;
```

<Separator />

### dirname()

```ts expandable
dirname(filePath: import("./FrontApplet/FileSystem/types").IFilePath): import("./FrontApplet/FileSystem/types").IFilePath;
```

<Separator />

### extname()

```ts expandable
extname(filePath: import("./FrontApplet/FileSystem/types").IFilePath): string;
```

<Separator />

### isAbsolute()

```ts expandable
isAbsolute(_: import("./FrontApplet/FileSystem/types").IFilePath): boolean;
```

<Separator />

### join()

```ts expandable
join(filePath: import("./FrontApplet/FileSystem/types").IFilePath, ...paths: string[]): import("./FrontApplet/FileSystem/types").IFilePath;
```

<Separator />

### normalize()

```ts expandable
normalize(filePath: import("./FrontApplet/FileSystem/types").IFilePath): import("./FrontApplet/FileSystem/types").IFilePath;
```

<Separator />

### resolve()

```ts expandable
resolve(filePath: import("./FrontApplet/FileSystem/types").IFilePath, ...paths: string[]): import("./FrontApplet/FileSystem/types").IFilePath;
```

<Separator />

### safeJoin()

```ts expandable
safeJoin(base: import("./FrontApplet/FileSystem/types").IFilePath, ...paths: string[]): import("./FrontApplet/FileSystem/types").IFilePath;
```

<Separator />

### stringify()

```ts expandable
stringify(filePath: import("./FrontApplet/FileSystem/types").IFilePath): string;
```